# Uses of Class
org.apache.sysds.runtime.compress.colgroup.scheme.CompressionScheme

Packages that use CompressionScheme
Package
Description
org.apache.sysds.runtime.compress.colgroup.scheme
org.apache.sysds.runtime.compress.lib

## Uses of CompressionScheme in org.apache.sysds.runtime.compress.colgroup.scheme

Methods in org.apache.sysds.runtime.compress.colgroup.scheme that return CompressionScheme
Modifier and Type
Method
Description
`static CompressionScheme`
CompressionScheme.`getScheme(CompressedMatrixBlock cmb)`
Extract a compression scheme for the given matrix block
`CompressionScheme`
CompressionScheme.`update(MatrixBlock mb)`
Update the encodings contained to also enable compression of the given mb.
`CompressionScheme`
CompressionScheme.`update(MatrixBlock mb, int k)`
Update the encodings contained to also enable compression of the given mb.

## Uses of CompressionScheme in org.apache.sysds.runtime.compress.lib

Methods in org.apache.sysds.runtime.compress.lib that return CompressionScheme
Modifier and Type
Method
Description
`static CompressionScheme`
CLALibScheme.`genScheme(AColGroup.CompressionType type, int nCols)`
Generate a scheme with the given type of columnGroup and number of columns in each group
`static CompressionScheme`
CLALibScheme.`getScheme(CompressedMatrixBlock cmb)`